Question on install and run WAD games

Discussion in 'Wii - Emulation and Homebrew' started by kittyhawk1903, Apr 6, 2010.

Apr 6, 2010
  1. kittyhawk1903
    OP

    Newcomer kittyhawk1903 Newbie

    Joined:
    Apr 6, 2010
    Messages:
    5
    Country:
    United States
    I have a Japanese Wii with 3.0J firmware, homebrew channel installed. IOS35 v4.16. Preloader v0.30 and WAD manager v1.5.
    I downloaded a number of NTSC-J WAD games and instalation seemed to be successful. Only one work so far(Ocean Oasis).
    The others(I tried Eco Shooter, Pokosuka Racing, etc etc about 7 or 8 of them), after launch from the wii channel, the screen goes blank for a few seconds and return to the Health warning page. Looks like the wii restart/reset itself.
    Can anyone offer some hints?
    Thanks a lot.
     
  2. wiixale

    Member wiixale GBAtemp Regular

    Joined:
    Dec 24, 2008
    Messages:
    299
    Country:
    Italy
    Hi, welcome to GBATemp.

    Well, I think your problem is IOS-related. If the games that aren't working are recent, they should need IOSes 53, 55 and 56 to work properly.

    Download DOP-Mii from here and use it in this way:

    - Run it, and then click on A to continue;
    - Select IOS36 to go on (note: if you're not sure if you have it or not, or if the program says to you "ERROR! Choose an IOS that accepts fake signing! Press A to continue." after selecting IOS36, install it with the option "Install IOS36 (v3351) w/Fakesign". About this step, if you can, install it making the Wii download the IOS from internet; if your Wii is not connected to the internet, use NUS Downloader to create a wad with the IOS - called IOS36-64-v3351.wad - and put it in the "wad" directory you use to install wads);
    - When you enter into the DOP-Mii menu, select "IOS, BC, MIOS" option;
    - Search for IOSes 53, 55 and 56 and install them to their latest, answering always "Yes" (with A button) to all the questions it asks to you. The programm will load the IOS wad if found, or will download it from the internet.
    - When finished, press Home button to exit the program.

    If there are problems, write here. [​IMG]

    EDIT: just an advice: consider updating your system menu, 3.0 is a bit old. I didn't try updating it through DOP-Mii, so I advice you to search in the forum and look for someone who did it without problems.
     
  3. kittyhawk1903
    OP

    Newcomer kittyhawk1903 Newbie

    Joined:
    Apr 6, 2010
    Messages:
    5
    Country:
    United States
    Hello Wiixale,
    Thank you very much for the detail instruction! Will try it.
     
  4. kittyhawk1903
    OP

    Newcomer kittyhawk1903 Newbie

    Joined:
    Apr 6, 2010
    Messages:
    5
    Country:
    United States
    I have a strange problem when installing DOP-mii. In the selection page, I do not see an option "IOS:36". Instead I have "IOS:65544". The second option below that is the same as you described "Install IOS36 w fakesign...". This followed by scan system and exit.
    I tried selecting the 2nd option directly and press A, but resulted in an error message and was not able to proceed further(system did not freeze). Since that does not work, I tried again selecting the first "IOS65544". After pressing A I got a code dump and the wii freezed.
    Using the 3rd option to scan the system, I can get all the IOS that are enabled. It listed many from 4, 9,11...31,33,35.
    I do not have IOS36, is that causing the problem?
    Many thanks for your comments.
     
  5. wiixale

    Member wiixale GBAtemp Regular

    Joined:
    Dec 24, 2008
    Messages:
    299
    Country:
    Italy
    Mmh... Yes, I think it's because you don't have IOS 36 installed. It's needed to use WAD Managers because of the trucha bug (a bug exploited to install things on the Wii), but system menu 3.0 didn't have trucha bug fixed: this is why you never had the needing to install IOS 36. But I think it's time to do it. [​IMG]

    Download NUS Downloader from here (not from the link in my previous post), run NUSD_13Beta and select Database > IOS. Here look for IOS36 and select version v3351.
    Now check the "Pack -> WAD" option and click "Start NUS Download!". Wait for the process to finish, and at the end there should be a folder in the NUSD folder called "0000000100000024v3351". In this folder you will find a file called "IOS36-64-v3351.wad": put it on your SD card, into the "wad" folder you use to install wads, and install it as you did for channels/WiiWares.

    I hope Dop-Mii will recognize it. If not, we'll try to install IOSes using an IOS that is not the 36 one.


    EDIT: I forgot that installing IOS36 downloaded from NUS doesn't apply the fakesign bug... So, I need you do a thing: do a system scan with Dop-Mii, and at the end of the scan save the list (eg. on the SD card) and post it here, to see if there's an IOS with fakesign bug we can use to install the other IOSes.
     
  6. kittyhawk1903
    OP

    Newcomer kittyhawk1903 Newbie

    Joined:
    Apr 6, 2010
    Messages:
    5
    Country:
    United States
    ok, tried your suggestions and some success but wad games still don't run.

    First I downloaded the IOS from NUS and installed it using WAD Manager(I did not do this step in the earlier round). With that done, DOP-mii was able to show the IOS36 selection, I select that and then in the next screen select the "install the ... fakesign". That was also successful(so far so good). I further install IOS15(I think it just prompt me to do so). After that I go on and install IOS 53, 55 and 56 as you mentioned, downloading them via wi-fi.
    Since I am at it, I also downloaded and installed the (Japan J version) of internet browser (in the channels selection). The browser worked(good news again).

    Next I tried installing some wad games again, using WAD Manager. No luck this time.

    Is there any way that DOP-mii can be used to install WADs instead of WAD Manager? This will proved whether it is the problem with WAD Manager.

    By the way in my Homebrew (home) screen, the IOS shown at the top right corner is still IOS35 V4.12

    I did a scan of the system and result as below:
    IOS Version FakeSign ES_Iden NAND Flash
    56 (v5405) Enabled Enabled Enabled Disabled
    55 (v5406) Enabled Enabled Enabled Disabled
    53 (v5406) Enabled Enabled Enabled Disabled
    36 (v3351) Enabled Enabled Enabled Disabled
    35 (v1040) Enabled Enabled Enabled Enabled
    33 (v1040) Enabled Enabled Enabled Enabled
    31 (v1039) Enabled Enabled Enabled Enabled
    30 (v1039) Enabled Enabled Enabled Enabled
    21 (v514) Enabled Enabled Enabled Enabled
    20 (v12) Enabled Enabled Enabled Enabled
    17 (v512) Enabled Enabled Enabled Enabled
    15 (v523) Disabled Disabled Disabled Disabled
    13 (v10) Enabled Enabled Enabled Enabled
    12 (v6) Enabled Enabled Enabled Enabled
    11 (v10) Enabled Enabled Enabled Enabled
    9 (v516) Enabled Enabled Enabled Enabled
    4 (v3) Enabled Enabled Enabled Enabled

    Note: I did run and install IOS15 again since it showed Disabled in the system scan. No change to the scan result.
     
  7. cwstjdenobs

    Member cwstjdenobs Sodomy non sapiens

    Joined:
    Mar 10, 2009
    Messages:
    1,757
    Location:
    Ankh-Morpork
    Country:
    United Kingdom
    Have you got the region free channels hack on in preloader?
     
  8. wiixale

    Member wiixale GBAtemp Regular

    Joined:
    Dec 24, 2008
    Messages:
    299
    Country:
    Italy
    Don't worry about it, leave it in this way.

    I'm happy about IOS installing, and, as I figured out, the IOSes that were already installed have fakesign enabled.

    Okay, cwstjdenobs gave me a suggestion: have you downloaded region-free or japan-region channel, isn't it?
    Sorry for the stupid question, but it can happen...

    Other thing: tell me what are the games you can't install. I'm thinking that they need a newer system menu (translated: other IOSes to be installed), but I would like to check them before installing anything useless.
     
  9. kittyhawk1903
    OP

    Newcomer kittyhawk1903 Newbie

    Joined:
    Apr 6, 2010
    Messages:
    5
    Country:
    United States
    Just reinstall all the games using WAD Manager and good news, looks like most are working. In any case here is the list:

    Blue_Oasis_JPN ok
    Eco Shooter Plant 530 NTSCJ ok
    Pokosuka Racing NTSCJ ok
    Stunt Cars NTSCJ message on screen after "start" game and freeze
    Hachi(1).Wan.Diver ok
    Space(1).Invaders.Get.Even return to "Health warning" page after "start" game

    I did not install region free hack. All the games are downloaded from http://wehackwii.pbworks.com/WiiWare-NTSCJ
    and they are all NTSC-J versions so I suppose I do not need the region free hack.

    Thanks a lot for your help, since things are looking up I will try more games.

    One question still, does the region free hack allow me to install and play other region WAD games? Will the language in the game follow my Wii or the game(I don't really know Japanese so going to English will be perfect).
     
  10. wiixale

    Member wiixale GBAtemp Regular

    Joined:
    Dec 24, 2008
    Messages:
    299
    Country:
    Italy
    Region-free hack should just let you play a game from another region, but the language won't change (well, the game must provide the language into it! [​IMG]).
     

Share This Page